import { TabNavigator } from 'react-navigation';
import HouseScreen from './HouseScreen';
import ObligeeInfo from './ObligeeInfo';
import FWQuanShuScreen from './fwquanshuScreen';

const ErJiScreen = TabNavigator(
  {
    HouseDetail: {
      screen: HouseScreen,
      navigationOptions: {
        lazy: true,
        tabBarLabel: '详细信息',
      },
    },
    QuanLiRenInfo: {
      screen: ObligeeInfo,
      navigationOptions: {
        lazy: true,
        tabBarLabel: '权利人信息',
      },
    },
    QuanShuInfo: {
      screen: FWQuanShuScreen,
      navigationOptions: {
        lazy: true,
        tabBarLabel: '权属信息',
      },
    },
  },
  {

  },
);
export default ErJiScreen;
